Name    : picom
Version : 7.5
Release : 1
Summary : Compositor for X11
License : MIT
URL     : https://github.com/yshui/picom
Source0 : https://github.com/yshui/picom/archive/v%{version}.tar.gz


BuildRequires : gcc
BuildRequires : meson
BuildRequires : ninja-build
BuildRequires : pkgconfig(x11)
BuildRequires : pkgconfig(x11-xcb)
BuildRequires : pkgconfig(xext)
BuildRequires : pkgconfig(xproto)
BuildRequires : pkgconfig(xcb)
BuildRequires : pkgconfig(xcb-damage)
BuildRequires : pkgconfig(xcb-xfixes)
BuildRequires : pkgconfig(xcb-shape)
BuildRequires : pkgconfig(xcb-renderutil)
BuildRequires : pkgconfig(xcb-render)
BuildRequires : pkgconfig(xcb-randr)
BuildRequires : pkgconfig(xcb-composite)
BuildRequires : pkgconfig(xcb-image)
BuildRequires : pkgconfig(xcb-present)
BuildRequires : pkgconfig(xcb-xinerama)
BuildRequires : pixman-devel
BuildRequires : dbus-devel
BuildRequires : pkgconfig(libconfig) >= 1.4
BuildRequires : pkgconfig(libxdg-basedir)
BuildRequires : mesa-libGL-devel
BuildRequires : pkgconfig(libpcre)
BuildRequires : libev-devel
BuildRequires : uthash-devel

#BuildRequires : pkgconfig(libdrm)
#BuildRequires : asciidoc
#BuildRequires : desktop-file-utils

#Requires : xorg-x11-utils
#Requires : hicolor-icon-theme

Provides: compton
Provides: compton-ng
Obsoletes: compton


%description
Picom is a compositor for X based on compton.


%prep
%setup -n picom-%{version}


%build
meson --buildtype=release build .
meson configure build -Dprefix=%{buildroot}/usr --buildtype=debugoptimized
ninja -C build

%install
ninja -C build install


%files
%{_bindir}/picom
%{_bindir}/picom-trans
%{_bindir}/compton
%{_bindir}/compton-trans
%{_bindir}/compton-convgen.py
%{_datadir}/applications/picom.desktop
%{_datadir}/applications/compton.desktop
%{_datadir}/icons/hicolor/48x48/apps/compton.png
%{_datadir}/icons/hicolor/scalable/apps/compton.svg


%changelog
* Sun Jan 26 2020 charringto - 7.5-1
- Initial packaging.

